//
//  ORAPDFTronBaseEditTool.swift
//  Aconex
//
//  Copyright © 2022 Oracle. All rights reserved.
//  Created by Rankit on 06/06/22.
//

import Foundation
import Tools

/// Class used for customize group tool bar
///  Responsible preset and toolbar tools colour change
class GroupToolbar: PTToolGroupToolbar {
    
    override init(frame: CGRect) {
        super.init(frame: frame)
    }
    
    override func setPresetsViewHidden(_ hidden: Bool, animated: Bool) {
    //FIXME: Below function was added to hide preset for iPad but causing issue in iPhone
        super.setPresetsViewHidden(false, animated: animated)
        isPresetsToolbarEnabled = true
    }
    
    override init(toolGroupManager: PTToolGroupManager) {
        super.init(toolGroupManager: toolGroupManager)
//        NotificationCenter.default.addObserver(self,
//                                               selector: #selector(colorDidChange),
//                                               name: ColorDidChange,
//                                               object: nil)
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
 
    
}
