//

import UIKit
import PDFNet
import Tools

class DocController: PTDocumentController {
    
    override init() {
        PTOverrides.overrideClass(PTToolGroupToolbar.self, with: GroupToolbar.self)
        super.init()
    }
    
    required init(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    func loadDoc() {
        let fileURL: URL = URL(string:"https://pdftron.s3.amazonaws.com/downloads/pl/sample.pdf")!
        openDocument(with: fileURL)
    }
   
}
